
<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];
$myyear = $_SESSION[$myyear];
//mysqli_select_db($conn,$zdb);
$success = false;

$maindb = 'narration';
$file = 'narration.php';
$keyfld = "code";

$rangeFrom = $_REQUEST["rangeFrom"];
$rangeTo = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
$operator = $_REQUEST["soperator"];

$cond = "";
if ($operator == "=") {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND( `narr1` = '$searchTerm' OR `narr2` = '$searchTerm')";
    }
} else {
    if ($_REQUEST["sfield"] == "1") {
         $cond = "AND (`narr1`  LIKE '%$searchTerm%' OR `narr2`  LIKE '%$searchTerm%') ";
    }
}
    $sortcond = "ORDER BY `narr1`";
    if ($_REQUEST["sortBy"] == "1") {
        $sortcond = " ORDER BY `narr1`";
    }


    $ordcond = "DESC";
    if ($_REQUEST["orderAs"] == "desc") {
        $ordcond = " DESC";
    } else {
        $ordcond = " ASC";
    }

    $query = "SELECT * FROM `$maindb` WHERE `code` !='' $cond $sortcond $ordcond LIMIT $rangeFrom, $rangeTo";
    $result = mysqli_query($conn,$query) or die(mysqli_error($conn));

    $rows = array();
    $ctr = 0;
    while ($r = mysqli_fetch_assoc($result)) {

        $rows[] = ['success' => true,
            'value' => $ctr,
            'narr1' => $r['narr1'],
            'narr2' => $r['narr2'],
            'action' => "$file?mode=edit&$keyfld=$r[$keyfld]",
        ];
        $ctr++;
    }
//browse($rows);
    header("Content-type: application\json");
    echo json_encode($rows);
    